Arma 3 Feedback Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000465Arma 3Performancepublic2013-03-05 23:352013-03-15 13:09
Reporternmhays 
Assigned To 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionduplicate 
PlatformPCOSWindows 7OS Version64 bit
Product Version 
Target VersionFixed in Version 
57 vote(s) 100,00%
0 vote(s) 0,00%
Summary0000465: Horrible performance, minimal resource usage
DescriptionArma 3 will not utilize my available resources. No combination of video settings will cause more than 50% GPU usage, and not even enough to cause it to clock up. Frame rate is consistently poor, 20 FPS and under. This system can run any game on highest settings, specs are as follows, drivers and BIOS updates are current:

Windows 7 64 Bit Professional
MSI Z77 Mpower
Intel i7-2600K @ 4.2 GHz
16 GB 1600 MHz DDR3
500 GB 7200 RPM HDD
MSI GTX 680 4GB OC @ 1.2 GHz boost clock (game runs at 849 MHz, same as idle desktop)

Steps To ReproducePlaying the game with any visual settings.
Tagsduplicate, Performance, Resources, Usage
Game Version
Attached Files

- Relationships
duplicate of 0000716assigneddazhbog Low CPU/GPU Utilization 

-  Notes
(0000391)
SGTIce (reporter)
2013-03-05 23:37

Try opening task manager & check that all cores (Affinity) are checked for ArmA 3.
(0000395)
nmhays (ticket author)
2013-03-05 23:40

They are. I should also add that this issue happens at all resolutions, though the framerate is slightly (1-5 fps at lower res) higher, from 640x480 to 2560x1440. Raising the draw distance to maximum increased resource usage slightly and caused a slight increase in performance.
(0000406)
Draukios (reporter)
2013-03-05 23:53

Since it's not using enough resources to get it to up the clock change your graphics card settings to always stay at maximum clock and see if the game runs smoother, I know it won't help with usage but it will probably help with performance.
(0000428)
nmhays (ticket author)
2013-03-06 00:15

I am also using less than 50% on core 1, and way less than that on all others. No usage on HT.
(0000562)
SGTIce (reporter)
2013-03-06 03:41

Last I checked a few months ago BIS had no plans to support HT.

Do you have a lot of GPU memory, put that on high & can't remember if this is right or not but I believe around Gamescom they said the CPU would be used more than the GPU.
(0005203)
nmhays (ticket author)
2013-03-09 08:46
edited on: 2013-03-09 10:48

After a few more days of playing with settings, I have managed to increase the framerate slightly. However, the game appears to have a video memory leak, as the used amount of VRAM will slowly rise from ~2GB at 2560x1440 to 3.5+ GB in an hour or so, rendering the game largely unplayable with less than 15 fps.

(0006762)
doozie78 (reporter)
2013-03-10 23:13
edited on: 2013-03-10 23:14

Upvoted as my experience is very similar. GPU is generally using less that 40% and cpu is generally less than 40-50%. The 1st core of the CPU doing most of the workload. There appears to be a memory leak possibly?

(0006804)
dasfunk (reporter)
2013-03-10 23:40

Anyway you cut it the performance is appalling. Having a PC that could easily run this game at 60 FPS should run it at 60, not at 20 FPS while not even working with half the CPU's and GPU's capacity. It's almost shameful. This game could be great, IF there is some way to un-bottleneck performance.
(0006831)
SGTIce (reporter)
2013-03-11 00:01

Should easily run the game at 60? Just because you run games that are tiny little boxes dosen't mean they can run this at 60. ArmA is processing what's going on across the whole map & it's sending data back and forth across the clients/server.

Just because you're in a town on the W side of the map dosen't mean that it's not processing something that's going on the far E side.

It needs to be optimized, utilization needs to be improved, those are a given. But the games got a long way to go & so far it's a vast improvement in most places over the earlier iteriations.
(0006836)
pystub (reporter)
2013-03-11 00:05

Duplicate of 0000716
(0006846)
nmhays (ticket author)
2013-03-11 00:11

Uh, considering I posted this a full day earlier, I fail to see how it's a "duplicate"?

And nowhere did I say I expect it to run at 60+ FPS, I said that I expect it to make reasonable usage of hardware well above even recommended specs, and to run at an acceptable framerate, and I fully expect BI to do something about it, that is the purpose of an Alpha. I don't think that's unreasonable, and I don't see the need to start this debate in a bug report.
(0006847)
SGTIce (reporter)
2013-03-11 00:11

This thread came before that one by a day psy. Read the time stamps.
(0006860)
Switcher (reporter)
2013-03-11 00:23

This game is by no means a good stress test on the computer. Which being a new 2013 huge environment game, it should be putting out the heat.
(0007544)
SGTIce (reporter)
2013-03-11 17:18

You are aware... we're in Alpha. The devs are working to optimize the game, so keep your panties on.
(0008109)
nmhays (ticket author)
2013-03-12 02:11

Using the latest development build with the new shadows forces the GPU to stay in boost clock, yielding some performance increase. GPU/CPU load rarely exceeds 40% and never 50% however, and CPU usage seems to be down even further less than 45% of core one, and less than 15% of any other. FPS is up probably 10-15% though, right around 30FPS, enough to have fun with the game now.

This is bizzare, but trending better, I suppose. Keep up the good work BI!
(0008392)
white (reporter)
2013-03-12 12:32

the reason for this is the game being mostly single core, they can optimize it to gain some performance but you would only see drastic performance improvements if they rewrote the core to properly support multicore cpus.
(0008659)
SGTIce (reporter)
2013-03-12 18:21

Which they should, someone who's tech saavy should write a ticket.
(0008984)
AlainBo (reporter)
2013-03-13 09:26
edited on: 2013-03-13 09:47

Sure that compare to other similar game, ARMAIII is very very slow and gets very incomfortable when you want to shoot somebody moving, mostly with a acog.
I'm running it on a DELL M6500 workstation:
       System Model: Precision M6500
               BIOS: Phoenix ROM BIOS PLUS Version 1.10 A07
          Processor: Intel(R) Core(TM) i7 CPU Q 840 @ 1.87GHz (8 CPUs), 0000002:0000001.9GHz
             Memory: 8192MB RAM
                 OS: Windows 7 Pro 64 bits
    DirectX Version: DirectX 11
          Card name: NVIDIA Quadro FX 2800M
       Manufacturer: NVIDIA
          Chip type: Quadro FX 2800M

This machine runs MWIII at 85-90 fps and only 20-25 fps for AIII !!!??!!!

There is a big big problem!

Alain

(0009485)
SGTIce (reporter)
2013-03-13 19:07

Alain make a new ticket & post your dxdiag there.
(0010052)
MadDogX (moderator)
2013-03-14 13:52

Duplicate of 0000716.
(0010607)
nmhays (ticket author)
2013-03-15 07:09

Excuse me? Once again, I reported this issue a full day before the other thread. If this is the way reported bugs will be handled by the team, then perhaps I should request a refund right now.

Very disappointed in the response to this issue.
(0010609)
MadDogX (moderator)
2013-03-15 07:21

It's not about who came first, it's about which report recieved more attention. The other report has ten times as many votes as this one, so it takes precedence. The general rule is "one report per issue", so all duplicates will be closed, no matter when they were created.
(0010661)
nmhays (ticket author)
2013-03-15 09:15

Then where do I seek my refund?
(0010662)
MadDogX (moderator)
2013-03-15 09:17

Not here on the bug tracker. Please refrain from re-opening this issue.
(0010664)
nmhays (ticket author)
2013-03-15 09:22
edited on: 2013-03-15 09:24

I am a paying customer, and I will reopen my one ticket as I see fit. This does not speak well for the management of this alpha. Never have I seen this issue in any public/private alpha addressed so poorly. You continue to close my ticket with no explanation, no information. No information was sought from me, there's no clear indication of what information should be provided with a ticket. Merely the direction to another largely ignored huge ticket, one which has not yet been acknowledged publicly, and daily my performance gets on average worse.

Not to mention that the "duplicate" thread involves AMD chipsets and AMD videocars. I have neither. Considering the different sources of drivers, and different hardware configurations, perhaps it would be prudent to thoroughly investigate the issue.

(0010666)
nmhays (ticket author)
2013-03-15 09:28

Incredibly unprofessional.
(0010672)
MadDogX (moderator)
2013-03-15 09:39

The other ticket is about low CPU/GPU utilization in general, not just on AMD hardware, as you could see if you had read the comments. It has also been assigned to a developer, meaning it has been "acknowledged publicly" and the devs are working on a solution.

I have seen nothing here to indicate that your issue is different from the one reported in the other ticket. They are the same issue, experienced by hundreds of people with varying hardware setups. Your issue is not unique and thus does not merit special attention or its own report.

There is absolutely no sense in keeping track of dozens or hundreds of individual reports on the same issue, therefore all but one are closed. Since the other issue has recieved the highest amount of attention and has already been assigned, that is the one that will remain open. As a result yours has been closed.

I hope this explanation is sufficient.
(0010823)
DnA (Bohemia Interactive - manager)
2013-03-15 13:09

MadDogX's explanation is fair and accurate. You are not being ignored, and as he said the issue is being dealt with more broadly. It does not help us to have the same or very similar issue open and acknowledged in many places. Any optimization is not going to be happening in the matter of days, and this being an Alpha product has been very clearly communicated. Thank you for understanding and I hope you'll be able to enjoy Arma 3 if you can't already now :-)

- Issue History
Date Modified Username Field Change
2013-03-05 23:35 nmhays New Issue
2013-03-05 23:37 SGTIce Note Added: 0000391
2013-03-05 23:40 nmhays Note Added: 0000395
2013-03-05 23:53 Draukios Note Added: 0000406
2013-03-06 00:15 nmhays Note Added: 0000428
2013-03-06 00:59 Dealman Tag Attached: Performance
2013-03-06 00:59 Dealman Tag Attached: Resources
2013-03-06 00:59 Dealman Tag Attached: Usage
2013-03-06 03:41 SGTIce Note Added: 0000562
2013-03-09 08:46 nmhays Note Added: 0005203
2013-03-09 10:47 nmhays Note Edited: 0005203 View Revisions
2013-03-09 10:48 nmhays Note Edited: 0005203 View Revisions
2013-03-10 23:13 doozie78 Note Added: 0006762
2013-03-10 23:14 doozie78 Note Edited: 0006762 View Revisions
2013-03-10 23:40 dasfunk Note Added: 0006804
2013-03-11 00:01 SGTIce Note Added: 0006831
2013-03-11 00:05 pystub Note Added: 0006836
2013-03-11 00:05 pystub Tag Attached: duplicate
2013-03-11 00:11 nmhays Note Added: 0006846
2013-03-11 00:11 SGTIce Note Added: 0006847
2013-03-11 00:23 Switcher Note Added: 0006860
2013-03-11 17:18 SGTIce Note Added: 0007544
2013-03-12 02:11 nmhays Note Added: 0008109
2013-03-12 12:32 white Note Added: 0008392
2013-03-12 18:21 SGTIce Note Added: 0008659
2013-03-13 09:26 AlainBo Note Added: 0008984
2013-03-13 09:47 AlainBo Note Edited: 0008984 View Revisions
2013-03-13 19:07 SGTIce Note Added: 0009485
2013-03-14 13:52 MadDogX Note Added: 0010052
2013-03-14 13:52 MadDogX Status new => closed
2013-03-14 13:52 MadDogX Resolution open => duplicate
2013-03-15 07:09 nmhays Note Added: 0010607
2013-03-15 07:09 nmhays Status closed => feedback
2013-03-15 07:09 nmhays Resolution duplicate => reopened
2013-03-15 07:21 MadDogX Note Added: 0010609
2013-03-15 07:21 MadDogX Status feedback => closed
2013-03-15 07:21 MadDogX Resolution reopened => duplicate
2013-03-15 09:15 nmhays Note Added: 0010661
2013-03-15 09:15 nmhays Status closed => feedback
2013-03-15 09:15 nmhays Resolution duplicate => reopened
2013-03-15 09:17 MadDogX Note Added: 0010662
2013-03-15 09:17 MadDogX Status feedback => closed
2013-03-15 09:17 MadDogX Resolution reopened => duplicate
2013-03-15 09:22 nmhays Note Added: 0010664
2013-03-15 09:22 nmhays Status closed => feedback
2013-03-15 09:22 nmhays Resolution duplicate => reopened
2013-03-15 09:24 nmhays Note Edited: 0010664 View Revisions
2013-03-15 09:26 MadDogX Status feedback => closed
2013-03-15 09:26 MadDogX Resolution reopened => duplicate
2013-03-15 09:28 nmhays Note Added: 0010666
2013-03-15 09:28 nmhays Status closed => feedback
2013-03-15 09:28 nmhays Resolution duplicate => reopened
2013-03-15 09:38 MadDogX Relationship added duplicate of 0000716
2013-03-15 09:39 MadDogX Note Added: 0010672
2013-03-15 09:39 MadDogX Status feedback => closed
2013-03-15 09:39 MadDogX Resolution reopened => duplicate
2013-03-15 13:09 DnA Note Added: 0010823


Copyright © 2000 - 2014 MantisBT Team